MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000667Community[OCCT] OCCT:WOKpublic2002-09-02 19:112011-12-15 17:54
Reporteremo 
Assigned Toimv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0000667: libtool max_cmd_len
DescriptionThis bug has been added by William Jones at
http://www.opencascade.org/forumorg/bug.php?bug_id=74&f=8 [^] .

The value of $max_cmd_len is not set in the generated libtool script under
RedHat 7.3 Linux 2.4.18-5, autoconf-2.13-17, and automake-1.4p5-4. The result
is piecewise linking that results in an n^2 type creation of intermediate
libraries that fills up my disk (> 15GB) and causes the build to fail. Quick
workaround includes commenting the lines in the libtool script that drive the
piecewise linking based on the value if $max_cmd_len (lines 3558-3686 and
4584-4614) prior to `(cd src; make)`.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-09-02 19:48 bugmaster Assigned To bugmaster => imv
2002-09-02 19:48 bugmaster Status new => assigned
2002-09-02 19:48 bugmaster Summary => libtool max_cmd_len
2003-07-22 13:00 vtn Status assigned => verified
2004-10-06 11:34 bugmaster Status verified => closed
2004-10-06 11:34 bugmaster Resolution @0@ => fixed
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker